=== debian/changelog ===
openqa (4.6.1745831108.e60c89e32-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 4.6.1745831108.e60c89e32.
  * Build for bookworm-fasttrack.
  * salsa CI: build in a backport environment
  * fasttrack: ignore backport related test warnings

 -- Philip Hands <phil@hands.com>  Sat, 31 May 2025 20:04:18 +0200
