## openqa 4.6.1749835125.6b21a3a03

=== debian/changelog ===
openqa (4.6.1749835125.6b21a3a03-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 4.6.1749835125.6b21a3a03.

 -- Philip Hands <phil@hands.com>  Sun, 15 Jun 2025 16:25:34 +0200

openqa (4.6.1748615746.d50d8e243-1~fto12+2) bookworm-fasttrack; urgency=medium

  * openqa-common: depend: libfeature-compat-try-perl

 -- Philip Hands <phil@hands.com>  Sat, 14 Jun 2025 20:41:03 +0200
