=== debian/control ===
--- 
+++ 
@@ -86,6 +86,7 @@
                node-d3,
                node-dagre-d3-renderer,
                node-anser,
+               libfeature-compat-try-perl,
 ### for testcases
                libperl-critic-perl <!nocheck>,
                libperl-critic-community-perl <!nocheck>,
@@ -118,7 +119,6 @@
                libtext-glob-perl <!nocheck>,
                libaliased-perl <!nocheck>,
                libarchive-tools <!nocheck>,
-               libfeature-compat-try-perl <!nocheck>,
 #              for avoiding assetpack downloads
                fonts-fork-awesome,
                fonts-roboto-fontface,
@@ -239,6 +239,7 @@
          libtime-moment-perl,
          libcpanel-json-xs-perl,
          libmoose-perl,
+         libfeature-compat-try-perl,
 Recommends:
          git-lfs,
 Description: automatic Operating System testing framework (common files)
@@ -299,5 +300,3 @@
  .
  This package is to be installed on a worker system (which may also be acting as
  a server). Workers register with a server (or perhaps multiple servers), and
- can then accept jobs, and run tests (using the os-autoinst test engine).
-
