## openqa 5.1751519172.720c194b1

=== Makefile ===
--- 
+++ 
@@ -59,6 +59,38 @@
 	@echo Call one of the available targets:
 	@sed -n 's/\(^[^.#[:space:]A-Z]*\):.*$$/\1/p' Makefile | uniq
 	@echo See docs/Contributing.asciidoc for more details
+
+man_names = openqa-cli openqa-client openqa-load-templates openqa-dump-templates openqa-clone-job openqa-validate-yaml openqa-label-all
+manpages = $(addprefix $(man_dir)/,$(addsuffix .1,$(man_names)))
+man_dir = build/man1
+
+$(man_dir):
+	mkdir -p $@
+
+define run-pod2man =
+pod2man --errors=stderr --section=1 \
+	--center "openQA Documentation" \
+	--name=$(notdir $(basename $@)) $< $@
+endef
+
+$(man_dir)/openqa-label-all.1: script/openqa-label-all
+	argparse-manpage --pyfile $< --function get_parser --author "various authors:" --author-email "https://progress.opensuse.org/projects/openqav3" --project-name openqa --url "https://github.com/os-autoinst/openQA" | grep -v '^\.br$$' >$@
+
+$(man_dir)/openqa-%.1 $(man_dir)/%.1: script/%
+	$(run-pod2man)
+
+$(man_dir)/openqa-%-templates.1: script/%_templates
+	$(run-pod2man)
+
+$(man_dir)/openqa-cli.1: lib/OpenQA/CLI.pm
+	$(run-pod2man)
+
+.PHONY: build-manpages
+build-manpages: $(man_dir) $(manpages)
+
+.PHONY: clean
+clean:
+	-rm -r build
 
 .PHONY: install-generic
 install-generic:
@@ -245,22 +277,3 @@
 	test -d $(TEST_PG_PATH) && (pg_ctl -D $(TEST_PG_PATH) -s status >&/dev/null || pg_ctl -D $(TEST_PG_PATH) -s start) || ./t/test_postgresql $(TEST_PG_PATH)
 
 # prepares running the tests within a container (eg. pulls os-autoinst) and then runs the tests considering
-# the test matrix environment variables
-# note: This is supposed to run within the container unlike `launch-container-to-run-tests-within`
-#       which launches the container.
-.PHONY: run-tests-within-container
-run-tests-within-container:
-	tools/run-tests-within-container
-
-ifeq ($(COVERAGE),1)
-COVERDB_SUFFIX ?=
-# We use JSON::PP because there is a bug producing a (harmless) 'redefined'
-# warning when using Devel::Cover and Cpanel::JSON::XS
-# https://progress.opensuse.org/issues/90371
-#
-# CoverageWorkaround: We use a workaround with Syntax::Keyword::Try::Deparse
-# because we would get warnings:
-#     unexpected OP_CUSTOM (catch) at .../B/Deparse.pm line 1667.
-# because Feature::Compat::Try uses OP_CUSTOM for perl < 5.40
-# https://metacpan.org/pod/Feature::Compat::Try#COMPATIBILITY-NOTES
-# https://rt.cpan.org/Transaction/Display.html?id=1992941
