=== debian/changelog ===
openqa (5.1751519172.720c194b1-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 5.1751519172.720c194b1.
  * embed Roboto font (to avoid apache blocking symlinks)

 -- Philip Hands <phil@hands.com>  Thu, 03 Jul 2025 08:19:10 +0200

openqa (5.1750858025.b9f0656f0-1~fto12+2) bookworm-fasttrack; urgency=medium

  [ Philip Hands ]
  * avoid broken sorting caused by 'serverSide: true'

  [ Roland Clobus ]
  * openqa: depend on libtext-glob-perl

 -- Philip Hands <phil@hands.com>  Wed, 25 Jun 2025 21:55:27 +0200

openqa (5.1750858025.b9f0656f0-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 5.1750858025.b9f0656f0.

 -- Philip Hands <phil@hands.com>  Wed, 25 Jun 2025 19:10:22 +0200
