=== debian/control ===
--- 
+++ 
@@ -87,6 +87,8 @@
                node-dagre-d3-renderer,
                node-anser,
                libfeature-compat-try-perl,
+               python3-argparse-manpage,
+               python3-distutils,
 ### for testcases
                libperl-critic-perl <!nocheck>,
                libperl-critic-community-perl <!nocheck>,
@@ -154,6 +156,7 @@
          libmojo-sqlite-perl,
          libjson-validator-perl,
          libtext-diff-perl,
+         libtext-glob-perl,
          libyaml-pp-perl,
          libdatetime-format-pg-perl,
          libminion-perl (>= 10.25),
@@ -162,7 +165,6 @@
          postgresql,
          libclass-c3-componentised-perl,
          fonts-fork-awesome,
-         fonts-roboto-fontface,
          libjs-jquery-datatables,
          libjs-codemirror,
          libjs-jquery,
@@ -299,4 +301,3 @@
  tests, and non-VM 'real' systems.
  .
  This package is to be installed on a worker system (which may also be acting as
- a server). Workers register with a server (or perhaps multiple servers), and
