=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,9 @@
 		$(CURDIR)/debian/openqa/usr/share/openqa/script/configure-web-proxy \
 		$(CURDIR)/debian/openqa/etc/*/sites-available/openqa*.conf.template
 
+	# grab local copy of Roboto, as symlinks to other directories don't always work by default
+	cp /usr/share/fonts/truetype/roboto-fontface/roboto/Roboto-Regular.ttf debian/openqa/usr/share/openqa/public/fonts/
+
 execute_after_dh_fixperms:
 	chmod -x debian/openqa/etc/logrotate.d/openqa
 	chmod +x debian/openqa/usr/share/openqa/dbicdh/*/upgrade/*-*/0*-*.pl
