## openqa 5.1754383059.0426baa1d

=== Makefile ===
--- 
+++ 
@@ -205,7 +205,7 @@
 # Ensure npm packages are installed and up-to-date (unless local-npm-registry is installed; in this case we can
 # assume installing npm packages is taken care of separately, e.g. in builds on OBS)
 node_modules: package-lock.json
-	@which local-npm-registry >/dev/null 2>&1 || npm install --no-audit --no-fund
+	@which local-npm-registry >/dev/null 2>&1 || npm install --no-audit --no-fund --ignore-scripts
 	@touch node_modules
 
 .PHONY: test
@@ -276,4 +276,3 @@
 setup-database:
 	test -d $(TEST_PG_PATH) && (pg_ctl -D $(TEST_PG_PATH) -s status >&/dev/null || pg_ctl -D $(TEST_PG_PATH) -s start) || ./t/test_postgresql $(TEST_PG_PATH)
 
-# prepares running the tests within a container (eg. pulls os-autoinst) and then runs the tests considering
