=== debian/changelog ===
openqa (5.1754383059.0426baa1d-2) unstable; urgency=medium

  * openqa-client: dep libgetopt-long-descriptive-perl (closes: #1115544)
  * recommend qemu-system (rather than qemu) (closes: #1116156)
  * depends: vde-switch (replacing obsolete vde2)
  * only create the server ('openqa') package for debian-fasttrack
    (see NEWS.Debian for more details)

 -- Philip Hands <phil@hands.com>  Sat, 18 Oct 2025 00:56:16 +0200

openqa (5.1754383059.0426baa1d-1~fto13+1) trixie-fasttrack; urgency=medium

  * rebuild for trixie-fasttrack

 -- Philip Hands <phil@hands.com>  Sat, 09 Aug 2025 14:16:46 +0200

openqa (5.1754383059.0426baa1d-1~fto12+1) bookworm-fasttrack; urgency=medium

  * Update to new upstream version 5.1754383059.0426baa1d.
  * stop shipping deprecated client script (closes: #1110395)
  * openqa-cli lost its pod, so drop manpage creation

 -- Philip Hands <phil@hands.com>  Wed, 06 Aug 2025 23:09:36 +0200
