=== debian/control ===
--- 
+++ 
@@ -87,8 +87,9 @@
                node-dagre-d3-renderer,
                node-anser,
                libfeature-compat-try-perl,
+               python3-requests,
                python3-argparse-manpage,
-               python3-distutils,
+#               python3-distutils,
 ### for testcases
                libperl-critic-perl <!nocheck>,
                libperl-critic-community-perl <!nocheck>,
@@ -113,8 +114,6 @@
                libclass-c3-componentised-perl <!nocheck>,
                libtest-most-perl <!nocheck>,
                libyaml-pp-perl <!nocheck>,
-               python3 <!nocheck>,
-               python3-requests <!nocheck>,
                yamllint <!nocheck>,
                libfilesys-df-perl <!nocheck>,
                libfile-map-perl <!nocheck>,
@@ -144,6 +143,7 @@
 
 Package: openqa
 Architecture: all
+Build-Profiles: <!pkg.openqa.noserver>
 Depends: ${misc:Depends}, ${perl:Depends},
          openqa-common (>= ${binary:Version}),
          openqa-client (>= ${binary:Version}),
@@ -259,6 +259,7 @@
          libjson-perl,
          libconfig-inifiles-perl,
          libdata-dump-perl,
+         libgetopt-long-descriptive-perl,
          libmojolicious-perl (>= 9.34),
          openqa-common (= ${binary:Version}),
 Suggests: python3,
@@ -281,9 +282,9 @@
          libsql-splitstatement-perl,
          libmojo-ioloop-readwriteprocess-perl,
          libnet-dns-native-perl,
-         vde2,
+         vde-switch,
          libfile-map-perl,
-Recommends: qemu,
+Recommends: qemu-system,
             libminion-backend-sqlite-perl,
 Description: automatic Operating System testing framework (worker)
  openQA is a testing framework that allows you to run tests on pretty-much
