=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,19 @@
 
 %:
 	dh $@
+
+README_CFGS := workers.ini database.ini client.conf
+ifeq (yes,$(shell dpkg-vendor --is Debian && echo yes))
+# let's limit the removal of the webUI to actual Debian,
+# rather than also inflicting this on downstreams.
+# Downstreams that want to have the webUI split out should ask to be included (patches welcome)
+SUITE := $(shell dpkg-parsechangelog -S Distribution)
+endif
+ifneq (,$(filter $(SUITE),stable testing unstable trixie-backports))
+export DEB_BUILD_PROFILES += pkg.openqa.noserver
+else
+README_CFGS += openqa.ini
+endif
 
 SCRATCH_DIR := $(shell mktemp -d $${TMPDIR:-/tmp}/openqa_build.XXXXXX)
 
@@ -31,7 +44,7 @@
 
 override_dh_auto_install: setup_node_modules
 	# install READMEs in /etc/.../*.d/ dirs
-	for cfg in openqa.ini workers.ini database.ini client.conf; do \
+	for cfg in $(README_CFGS); do \
 		ext=$${cfg#*.}; \
 		dst_dir=debian/tmp/etc/openqa/$$cfg.d; \
 		R_cfg=debian/README.$$cfg; \
@@ -55,27 +68,31 @@
 	# make #! lines Debian Perl/Python Policy compliant
 	find $(CURDIR)/debian/openqa*/usr/share/openqa -type f -print0 | \
 		xargs -r0 sed -i -e '1s%^\(#!/usr/bin/\)env \(perl\|python3\)%\1\2%'
+
+ifeq (,$(filter pkg.openqa.noserver,$(DEB_BUILD_PROFILES)))
 	# apache & nginx vhost configs are found in .../sites-available on Debian
 	sed -i 's#\bvhosts\.d\b#sites-available#' \
 		$(CURDIR)/debian/openqa/usr/share/openqa/script/configure-web-proxy \
 		$(CURDIR)/debian/openqa/etc/*/sites-available/openqa*.conf.template
-
 	# grab local copy of Roboto, as symlinks to other directories don't always work by default
 	cp /usr/share/fonts/truetype/roboto-fontface/roboto/Roboto-Regular.ttf debian/openqa/usr/share/openqa/public/fonts/
 
 execute_after_dh_fixperms:
 	chmod -x debian/openqa/etc/logrotate.d/openqa
 	chmod +x debian/openqa/usr/share/openqa/dbicdh/*/upgrade/*-*/0*-*.pl
+endif
 
 # add some tests that fail on Debian to the unstables list
-EXTRA_UNSTABLES := t/03-auth.t t/09-job_clone.t t/24-worker-engine.t t/37-limit_assets.t t/40-script_load_dump_templates.t t/ui/27-plugin_obs_rsync.t t/ui/27-plugin_obs_rsync_gru.t t/ui/27-plugin_obs_rsync_obs_status.t t/api/02-iso-yaml.t t/api/08-jobtemplates.t t/api/14-plugin_obs_rsync.t t/api/14-plugin_obs_rsync_async.t t/api/16-webhooks.t
+EXTRA_UNSTABLES := t/*/*_obs_* t/03-auth.t t/09-job_clone.t t/24-worker-engine.t t/37-limit_assets.t t/40-script_load_dump_templates.t t/api/02-iso-yaml.t t/api/08-jobtemplates.t t/api/16-webhooks.t
 # when building with unshare, these attempts to nest unshare fail
 EXTRA_UNSTABLES += t/32-openqa_client-script.t t/40-openqa-clone-job.t t/40-script_openqa-clone-custom-git-refspec.t
 # silence tests that don't backport to fastrack
 EXTRA_UNSTABLES += t/14-grutasks-git.t t/10-jobs.t t/api/16-webhooks.t t/api/04-jobs.t t/api/09-comments.t
 
-
 override_dh_auto_test: setup_node_modules
+ifneq (,$(filter pkg.openqa.noserver,$(DEB_BUILD_PROFILES)))
+	: # skip tests when we do a partial (noserver) build
+else
 	ln -s ../node_modules t/
 	cp tools/unstable_tests.txt tools/unstable_tests.txt.bak
 	for i in $(EXTRA_UNSTABLES); do echo $$i >> tools/unstable_tests.txt; done
@@ -84,6 +101,7 @@
 		PROVE_ARGS='-v' \
 		make test-t test-ui test-api SHELL="bash -x" CI=1 OPENQA_TEST_TIMEOUT_SCALE_CI=10 TEST_PG_PATH=${SCRATCH_DIR}/DB
 	mv tools/unstable_tests.txt.bak tools/unstable_tests.txt
+endif
 
 execute_before_dh_auto_clean:
 	rm -rf node_modules/
