=== debian/watch ===
version=4
opts="mode=git, pretty=4.6.%ct.%h" \
   https://github.com/os-autoinst/openQA \
   HEAD debian uupdate
